from peewee import *
from models import db

class Blum(Model):
    id = AutoField(primary_key=True)
    phone = CharField(max_length=50, unique=True)
    point = IntegerField(default=0)
    check_date = DateTimeField(null=True, help_text='每天签到时间')
    referer_code = CharField(max_length=50, null=True, help_text='邀请码')
    referer_code_count = IntegerField(default=0, help_text='邀请码使用次数')
    address = CharField(max_length=100, null=True, help_text='钱包地址')
    mnemonic = TextField(null=True, help_text='助记词')

    class Meta:
        database = db
        table_name = 'blum'